Organization API: Customer Portal: Suppressions
The 3 Organization API operations for suppressions.
Part of Customer Portal.
GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/suppressions
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/suppressions
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
application/json (required)
| Field |
Type |
Required |
address |
string |
yes |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
DELETE /api/v1/orgs/{org_slug}/portal/mail/{service_id}/suppressions/{suppression_id}
| Name |
In |
Type |
Required |
suppression_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |